| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Functions
Autocalibration
Images stitching

## Detailed Description

## Functions
bool | cv::detail::calibrateRotatingCamera (const std::vector< Mat > &Hs, Mat &K)
void | cv::detail::estimateFocal (const std::vector< ImageFeatures > &features, const std::vector< MatchesInfo > &pairwise_matches, std::vector< double > &focals)
| Estimates focal lengths for each given camera.
void | cv::detail::focalsFromHomography (const Mat &H, double &f0, double &f1, bool &f0_ok, bool &f1_ok)
| Tries to estimate focal lengths from the given homography under the assumption that the camera undergoes rotations around its centre only.

## Function Documentation

## ◆ calibrateRotatingCamera()

bool cv::detail::calibrateRotatingCamera | ( | const std::vector< Mat > & | Hs,
|  | Mat & | K )

Python:
| cv.detail.calibrateRotatingCamera( | Hs[, K] | ) -> | retval, K

`#include <opencv2/stitching/detail/autocalib.hpp>`

## ◆ estimateFocal()

void cv::detail::estimateFocal | ( | const std::vector< ImageFeatures > & | features,
|  | const std::vector< MatchesInfo > & | pairwise_matches,
|  | std::vector< double > & | focals )

`#include <opencv2/stitching/detail/autocalib.hpp>`

Estimates focal lengths for each given camera.

Parameters

  features | Features of images.
  pairwise_matches | Matches between all image pairs.
  focals | Estimated focal lengths for each camera.

## ◆ focalsFromHomography()

void cv::detail::focalsFromHomography | ( | const Mat & | H,
|  | double & | f0,
|  | double & | f1,
|  | bool & | f0_ok,
|  | bool & | f1_ok )

Python:
| cv.detail.focalsFromHomography( | H, f0, f1, f0_ok, f1_ok | ) -> | None

`#include <opencv2/stitching/detail/autocalib.hpp>`

Tries to estimate focal lengths from the given homography under the assumption that the camera undergoes rotations around its centre only.

Parameters

  H | Homography.
  f0 | Estimated focal length along X axis.
  f1 | Estimated focal length along Y axis.
  f0_ok | True, if f0 was estimated successfully, false otherwise.
  f1_ok | True, if f1 was estimated successfully, false otherwise.

See "Construction of Panoramic Image Mosaics with Global and Local Alignment" by Heung-Yeung Shum and Richard Szeliski.